Send Group of Files to Users

Send group of files to Evrotrust users.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Valid values:

documents: The count of documents must be between 2 and 20. Only pdf files are allowed for groups.
"document"
"description": max chars 4000
"optional": 0/1 Whether the document is optional for signing. The first document must always be optional=0
"preview": 0/1 whether the document requires previewing before signing
"checksumDocument": SHA-512 of the file
"annotationParameters": Optional. If used can appear up to 4 times.
"annotationText": mandatory, up to 255 symbols
"fontName": mandatory
"fontSize": mandatory. Must be a whole digit between 3 and 72
"fontColor": mandatory. Must be in CSS hex notation between “#000000” and “#ffffff” (“#000000” for black)
"axisX": mandatory, integer. - Must be between 0 and 596 (for A4) or 612 (for Letter)
"asixY": mandatory, integer. Must be between 0 and 843 (for A4) or 792 (for Letter)
"page": mandatory, integer. “0” for all pages, 1 … to specify the exact page number

"signInfo"
"type": "PDF1" (PDF Baseline), "PDF2" (PDF Baseline + Long Term), "PDF3" (PDF Baseline + Timestamp)
"algorithm": "SHA256"

"users":
Users that will sign the document sequentially. The elements have to be between 2 and 15. The total size of user x documents has to be 150. Has to be provided one of the user identifier:

  • "identificationNumber" and "country" for manual signing;
  • "email" for manual signing;
  • "phone" for manual signing;
  • "automatedSignCertID" for automated signing;
  • "automatedSignSealID" for automated signing.

"identificationNumber": Personal identification number.
"country": Optional with default value "BG". Valid values are the ISO 3166-1 alpha-2 codes.
"email": E-mail address.
"phone": Should match the following pattern "+[0-9]"
"automatedSignCertID": Should match the following pattern "[a-zA-Z0-9-]36"
"automatedSignSealID": Should match the following pattern "[a-zA-Z0-9-]36"
"employee": Optional with default value 0. If it's 1, it indicates that the user is employee of the company and will not be able to see the signed document in Evrotrust mobile application.

"BIOrequired": 0/1 Optional parameter. Default value 0.

"urlCallback": Optional parameter. Only https:// is allowed. It has to be sent a host name if Evrotrust Vendor callback API is used.

"vendorNumber": "string"

"publicKey": base64 encoded string of public key, necessary for encryption process

"groupDescription": string

"coverage": 0, 500, 2000, 20000, 100000, 250000. The amount is in euro. 0 stands for unlimited.

"certificateType": "integer" valid values 1 - Е-Sign Qualified; 2 - E-Sign Advanced; If certificateType is 2, only coverage 500 is accepted.

"dateExpire": "timestamp"

Return values:

"threadID"
Unique ID refers to the signing operation.

"transactionID"
Unique ID refers to a single document of the signing operation.

For example: One document send to be signed by two users. Every user will have a different transactionID, but the same threadID.

Body Params
document
array

File bytes. File name limitation up to 100 characters. Forbidden symbols in the file name <>:"/|?*'!#$%&+=

document
json

{
"documents": [{
"description": "string",
"optional": 0,
"preview": 0,
"checksumDocument": "string",
"annotationParameters": [{
"annotationText": "string",
"fontName": "string",
"fontSize": "integer",
"fontColor": "string",
"axisX": "integer",
"axisY": "integer",
"page": "integer" }]
}],
"signInfo": {
"type": "string",
"algorithm": "string"
},
"groupDescription": "string",
"certificateType": 0,
"coverage": 0 ,
"dateExpire": 0,
"BIOrequired": 0,
"urlCallback": "string",
"vendorNumber": "string",
"users": [{
"identificationNumber": "string",
"country": "string",
"email": "string",
"phone": "string",
"automatedSignCertID": "string",
"automatedSignSealID": "string",
"employee": 0}] ,
"publicKey": "string"
}

Headers
string
required

Authorization value.

Responses
200

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json